
#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

package require Gnocl
package require GnoclBuilder
#---------------
# Load the buffer.
#---------------
set builderFileObjects [gnocl::glade file editor.xml]

#---------------
# Register the widgets using their glade names.
#---------------
foreach item $builderFileObjects {
    foreach {gnocl builder} $item {}
    set $builder $gnocl
}

puts "$window1 geometry = [$window1 geometry]"

puts "size = [gnocl::screen size]mm"
puts "geometry = [gnocl::screen geometry]pixels"
puts "name = [gnocl::screen name]"
puts "n-screens = [gnocl::screen screens]"
puts "composited = [gnocl::screen composited]"
puts "windowlist [gnocl::screen windowList]"
#---------------
# Tweak settings, and display.
#---------------
$window1 configure -onDestroy {exit} -widthRequest 320 -heightRequest 200
$window1 show

$textview1 insert end "How now brown cow"

set textview2 [gnocl::text -baseColor #ffdddd]
$vbox1 add $textview2 -fill {1 1} -expand 1

$textview2 insert end "A proper cup of coffee from a proper copper coffee pot."





